Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.vm
Class VMMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.AbstractPollingMessageReceiver
                  org.mule.transport.TransactedPollingMessageReceiver
                      org.mule.transport.vm.VMMessageReceiver

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

    public class VMMessageReceiver

extends TransactedPollingMessageReceiver

`VMMessageReceiver` is a listener for events from a Mule service which then simply passes the events on to the target service.

Nested Class Summary
`protected static class` | `VMMessageReceiver.VMReceiverWorker`

Nested classes/interfaces inherited from class org.mule.transport.TransactedPollingMessageReceiver
`TransactedPollingMessageReceiver.MessageProcessorWorker`

Field Summary

Fields inherited from class org.mule.transport.AbstractPollingMessageReceiver
`DEFAULT_POLL_FREQUENCY, DEFAULT_POLL_TIMEUNIT, DEFAULT_STARTUP_DELAY, schedules`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`VMMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)`

Method Summary
`protected MuleMessage` | `createMessageCopy(MuleMessage message, boolean reinitialize)`
`protected PollingReceiverWorker` | `createWork()`
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected MuleEvent` | `getFirstMessage()`
`protected List<MuleMessage>` | `getFirstMessages()`
`protected List<MuleMessage>` | `getMessages()` It's impossible to process all messages in the receive transaction
`MuleMessage` | `onCall(MuleMessage message, boolean synchronous)`
`void` | `onMessage(MuleMessage message)`
`protected void` | `processMessage(Object msg)`
`protected void` | `schedule()` This method registers this receiver for periodic polling ticks with the connectors scheduler.

Methods inherited from class org.mule.transport.TransactedPollingMessageReceiver
`doStart, isReceiveMessagesInTransaction, isUseMultipleTransactedReceivers, poll, setReceiveMessagesInTransaction, setUseMultipleTransactedReceivers`

Methods inherited from class org.mule.transport.AbstractPollingMessageReceiver
`doStop, getFrequency, getTimeUnit, setFrequency, setTimeUnit, unschedule`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### VMMessageReceiver

    public VMMessageReceiver(Connector connector,
                             FlowConstruct flowConstruct,
                             InboundEndpoint endpoint)
                      throws CreateException

Throws:
  `CreateException`

Method Detail

### schedule

    protected void schedule()
                     throws edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionException,
                            NullPointerException,
                            IllegalArgumentException

  Description copied from class: `AbstractPollingMessageReceiver`
  This method registers this receiver for periodic polling ticks with the connectors scheduler. Subclasses can override this in case they want to handle their polling differently.

  Overrides:
    `schedule` in class `AbstractPollingMessageReceiver`
  Throws:
    `edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionException`
    `NullPointerException`
    `IllegalArgumentException`
  See Also:
    `ScheduledExecutorService.scheduleWithFixedDelay(Runnable, long, long, TimeUnit)`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractMessageReceiver`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### onMessage

    public void onMessage(MuleMessage message)
                   throws MuleException

  Throws:
    `MuleException`

### onCall

    public MuleMessage onCall(MuleMessage message,
                              boolean synchronous)
                       throws MuleException

  Throws:
    `MuleException`

### createMessageCopy

    protected MuleMessage createMessageCopy(MuleMessage message,
                                            boolean reinitialize)
                                     throws Exception

  Throws:
    `Exception`

### getMessages

    protected List<MuleMessage> getMessages()
                                     throws Exception

  It's impossible to process all messages in the receive transaction

  Specified by:
    `getMessages` in class `TransactedPollingMessageReceiver`
  Throws:
    `Exception`

### getFirstMessages

    protected List<MuleMessage> getFirstMessages()
                                          throws Exception

  Throws:
    `Exception`

### getFirstMessage

    protected MuleEvent getFirstMessage()
                                 throws Exception

  Throws:
    `Exception`

### processMessage

    protected void processMessage(Object msg)
                           throws Exception

  Specified by:
    `processMessage` in class `TransactedPollingMessageReceiver`
  Throws:
    `Exception`

### createWork

    protected PollingReceiverWorker createWork()

  Overrides:
    `createWork` in class `AbstractPollingMessageReceiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.